.pupi_jabp_hiddenWidgetElement {
    display: none;
}

.qa-widget-full .pupi_jabp_swiperContainer,
.qa-widget-main .pupi_jabp_swiperContainer {
    margin-bottom: 20px;
}

.qa-widget-full .pupi_jabp_swiperContainer,
.qa-widget-main .pupi_jabp_swiperContainer {
    border: 1px solid #d8d9d9;
    background: white;
}

/* Swiper customization */

.qa-widget-full .pupi_jabp_swiperContainer .swiper-button-next,
.qa-widget-main .pupi_jabp_swiperContainer .swiper-button-next,
.qa-widget-full .pupi_jabp_swiperContainer .swiper-button-prev,
.qa-widget-main .pupi_jabp_swiperContainer .swiper-button-prev {
    width: 16px;
    height: 34px;
    background-size: 16px 34px;
}

.qa-widget-side .pupi_jabp_swiperContainer .swiper-button-next,
.qa-widget-side .pupi_jabp_swiperContainer .swiper-button-prev {
    width: 8px;
    height: 20px;
    background-size: 8px 20px;
}

.qa-widget-full .pupi_jabp_swiperContainer .swiper-button-prev,
.qa-widget-main .pupi_jabp_swiperContainer .swiper-button-prev,
.qa-widget-full .pupi_jabp_swiperContainer .swiper-container-rtl .swiper-button-next,
.qa-widget-main .pupi_jabp_swiperContainer .swiper-container-rtl .swiper-button-next {
    left: 5px;
}

.qa-widget-side .pupi_jabp_swiperContainer .swiper-button-prev,
.qa-widget-side .pupi_jabp_swiperContainer .swiper-container-rtl .swiper-button-next {
    left: 0;
}

.qa-widget-full .pupi_jabp_swiperContainer .swiper-button-next,
.qa-widget-main .pupi_jabp_swiperContainer .swiper-button-next,
.qa-widget-full .pupi_jabp_swiperContainer .swiper-container-rtl .swiper-button-prev,
.qa-widget-main .pupi_jabp_swiperContainer .swiper-container-rtl .swiper-button-prev {
    right: 5px;
}

.qa-widget-side .pupi_jabp_swiperContainer .swiper-button-next,
.qa-widget-side .pupi_jabp_swiperContainer .swiper-container-rtl .swiper-button-prev {
    right: 0;
}

.pupi_jabp_swiperContainer .swiper-pagination-fraction,
.pupi_jabp_swiperContainer .swiper-pagination-custom,
.pupi_jabp_swiperContainer .swiper-container-horizontal > .swiper-pagination-bullets {
    bottom: 5px;
    line-height: 8px;
}

.pupi_jabp_swiperContainer .swiper-pagination-bullet,
.pupi_jabp_swiperContainer .swiper-pagination-bullet,
.pupi_jabp_swiperContainer .swiper-pagination-bullet {
    width: 10px;
    height: 10px;
}

/* Widget customization */

.pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetContainer {
    display: flex;
    flex-wrap: wrap;
    padding-top: 10px;
}

.qa-widget-full .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetContainer,
.qa-widget-main .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetContainer {
    padding-bottom: 15px;
}

.qa-widget-side .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetContainer {
    padding-bottom: 20px;
}

.qa-widget-full .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetContainer,
.qa-widget-main .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetContainer {
    padding-left: 25px;
    padding-right: 25px;
}

.qa-widget-side .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetContainer {
    padding-left: 8px;
    padding-right: 8px;
}

.qa-widget-full .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionAvatar,
.qa-widget-main .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionAvatar {
    padding-right: 10px;
}

.qa-widget-side .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionAvatar {
    padding-right: 5px;
}

.pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionInfo {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionTitle {
    display: flex;
    font-weight: bold;
    word-break: break-word;
}

.qa-widget-full .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionTitle,
.qa-widget-main .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionTitle {
    font-size: 125%;
}

.pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionContent {
    display: flex;
    word-break: break-word;
}

.qa-widget-side .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionContent {
    font-size: 90%;
}

.pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionUsers {
    color: #575757;
    font-size: 80%;
    display: flex;
}

.qa-widget-full .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionUsers,
.qa-widget-main .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionUsers {
    justify-content: space-between;
}

.qa-widget-side .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionUsers {
    padding-top: 5px;
    display: flex;
}

/* Mobile */
@media (max-width: 414px) {
    .pupi_jabp_swiperContainer .pupi_jabp_pinnedPostWidgetQuestionAvatar {
        width: 50px;
    }
}
